Firebird 2.5.1发布

On 2011年10月5日, in database, soft, by netoearth

The months that have passed since the initial release have seen numerous Tracker issues tackled to address things that have been reported broken, bent or compromised in v.2.5. As well as a long list of bug fixes, a few minor improvements have been made. In summary:

  • The SQLSTATE code has been made available as a PSQL context variable, for use in WHEN .. exception blocks, in the same manner as GDSCODE and SQLCODE
  • Now it is possible to write to global temporary tables in a read-only database
  • Diagnostics for internal trace errors were improved
  • The fbtracemgr utility will now do a periodic flush to output
  • Performance of gbak restore at the data insertion stages has improved
  • Conversions between BLOBs and other data types can now be effected in the API functions
  • The Services API now supports the “metadata-only” restore
  • A “silent install” switch has been implemented for make install on POSIX
  • The unused bytes of VARCHAR values in the message buffer are now set to zero
  • The actual record compression ratio is now estimated in the optimizer
  • The MON$STATEMENT_ID value now stays constant among monitoring snapshots
  • The SO_KEEPALIVE option on the client TCP socket will now be set, as a measure to guard against aggressive timing out of sockets by newer Windows systems
  • Lock Manager can now cancel waits that become interminable
  • A platform port of v.2.5.1 for HPPA has been done for both Linux and Alpha
Firebird 2.5.1
Press Release (Firebird 2.5.0): English | Deutsch | Español | Polska | Việt | 日本語 | Română | Français

Firebird 2.5.1 Release Notes (PDF available).
Brief description of new features in Firebird 2.5

For more details about Firebird 2.5 architectures please look at the Firebird 2.5 Architecture Comparison document.

Windows
Win32
Windows
Win64
Linux
Linux x86
Linux
Linux AMD64

MacOSX
Release Date File Name Size Description
Sources
October 4, 2011 Firebird-2.5.1.26351-0.tar.bz2 13 MB Compressed tarball
Windows Win32
32-bit Classic, Superclassic & Superserver
October 4, 2011 Firebird-2.5.1.26351_1_Win32.exe 7 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
October 4, 2011 Firebird-2.5.1.26351-0_Win32.zip 10 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
32-bit Embedded
October 4, 2011 Firebird-2.5.1.26351-0_Win32_embed.zip 5 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
32-bit Debug Kits (Binary + PDB components)
October 4, 2011 Firebird-2.5.1.26351_1_Win32_pdb.exe 12 MB Full Superclassic/Classic or Superserver, installer kit
October 4, 2011 Firebird-2.5.1.26351-0_Win32_pdb.zip 18 MB Full Superclassic/Classic or Superserver, zip kit
October 4, 2011 Firebird-2.5.1.26351-0_Win32_embed_pdb.zip 8 MB Embedded, separate download, zip kit
Windows Win64
64-bit Classic, Superclassic & Superserver
October 4, 2011 Firebird-2.5.1.26351_1_x64.exe 10 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
October 4, 2011 Firebird-2.5.1.26351-0_x64.zip 12 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
64-bit Embedded
October 4, 2011 Firebird-2.5.1.26351-0_x64_embed.zip 5 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
64-bit Debug Kits (Binary + PDB components)
October 4, 2011 Firebird-2.5.1.26351_1_x64_pdb.exe 15 MB Full Superclassic/Classic or Superserver, installer kit
October 4, 2011 Firebird-2.5.1.26351-0_x64_pdb.zip 20 MB Full Superclassic/Classic or Superserver, zip kit
October 4, 2011 Firebird-2.5.1.26351-0_x64_embed_pdb.zip 9 MB Embedded, separate download, zip kit
Linux Linux x86
IMPORTANT: Note affecting all Linux builds
The recommended Linux kernel version is 2.6.34 and glibc should be version 2.12 or higher. Minimum – kernel 2.6.27 and glibc 2.7.

If your glibc version is lower than v.2.7, it must be upgraded before using Firebird 2.5 Classic/Superсlassic.

32-bit Classic, Superclassic & Embedded
October 4, 2011 FirebirdCS-2.5.1.26351-0.i686.rpm 6 MB Superclassic/Classic server, RPM kit
October 4, 2011 FirebirdCS-2.5.1.26351-0.i686.tar.gz 6 MB Superclassic/Classic server, compressed tarball
October 4, 2011 FirebirdCS-debuginfo-2.5.1.26351-0.i686.tar.gz 26 MB Debug Build, Superclassic/Classic server, compressed tarball
32-bit Superserver
October 4, 2011 FirebirdSS-2.5.1.26351-0.i686.rpm 6 MB Superserver, RPM kit
October 4, 2011 FirebirdSS-2.5.1.26351-0.i686.tar.gz 6 MB Superserver, compressed tarball
October 4, 2011 FirebirdSS-debuginfo-2.5.1.26351-0.i686.tar.gz 25 MB Debug Build, Superserver, compressed tarball
Linux Linux AMD64
IMPORTANT: Note affecting all Linux builds
The recommended Linux kernel version is 2.6.34 and glibc should be version 2.12 or higher. Minimum – kernel 2.6.27 and glibc 2.7.

If your glibc version is lower than v.2.7, it must be upgraded before using Firebird 2.5 Classic/Superсlassic.

64-bit Classic, Superclassic & Embedded
October 4, 2011 FirebirdCS-2.5.1.26351-0.amd64.rpm 6 MB Superclassic/Classic server, RPM kit
October 4, 2011 FirebirdCS-2.5.1.26351-0.amd64.tar.gz 6 MB Superclassic/Classic server, compressed tarball
October 4, 2011 FirebirdCS-debuginfo-2.5.1.26351-0.amd64.tar.gz 26 MB Debug Build, Superclassic/Classic server, compressed tarball
64-bit Superserver
October 4, 2011 FirebirdSS-2.5.1.26351-0.amd64.rpm 6 MB Superserver, RPM kit
October 4, 2011 FirebirdSS-2.5.1.26351-0.amd64.tar.gz 6 MB Superserver, compressed tarball
October 4, 2011 FirebirdSS-debuginfo-2.5.1.26351-0.amd64.tar.gz 25 MB Debug Build, Superserver, compressed tarball
MacOSX
NOTE: To make the new engine work properly under multi-threaded conditions we had to use Grand Central Dispatch, which was first released in MacOSX 10.6 (Snow Leopard). MacOSX users should be aware that Firebird 2.5 will run only on MacOSX 10.6 or higher versions. If you want to use an earlier version of OSX you will need to use an earlier version of Firebird.
“lipo” are the 64-bit Firebird Server with client libs as fat lib (32 and 64 bits). See here for examples.
MacOSX 64-bit Classic, Superclassic & Embedded (Intel)
October 4, 2011 FirebirdCS-2.5.1-26351-x86_64.pkg.zip
14 MB 64-bit package
October 4, 2011 FirebirdCS-2.5.1-26351-lipo-x86_64.pkg.zip 22.1 MB 64-bit Lipo package
MacOSX 64-bit Superserver (Intel)
October 4, 2011 FirebirdSS-2.5.1-26351-x86_64.pkg.zip 14 MB 64-bit package
October 4, 2011 FirebirdSS-2.5.1-26351-lipo-x86_64.pkg.zip 18.1 MB 64-bit Lipo package
MacOSX 32-bit
October 4, 2011 FirebirdCS-2.5.1-26351-i386.pkg.zip 14 MB MacOS X 10.6+ 32-bit Classic, Superclassic & Embedded (Intel) package, compressed
October 4, 2011 FirebirdSS-2.5.1-26351-i386.pkg.zip 13.7 MB MacOS X 32-bit Superserver (Intel) package, compressed
Tagged with:  

Comments are closed.